﻿@model GoC.AppStatus.WebClient.Models.EnvironmentModel

<link rel="stylesheet" type="text/css" href="@Url.Content("~/Static/Styles/myStyle.css")" />

@{
    List<string> colours = new List<string>() {
        "FF0000", // red
        "FFA500", // orange
        "FFFF00", // yellow
        "008000", // green
        "ADD8E6", // lightblue
        "0000FF", // blue
        "D3D3D3", // lightgrey
        "A52A2A", // brown
        "FFC0CB", // pink
        "ADFF2F"  // greenyellow
    };
}

<div class="row form-group">
    <div class="col-md-3">
        <label for="title" class="required label-padding">@Localizer["Title"]<strong class="required">&nbsp;(@Localizer["Required"])</strong><br /><span style="font-size:100%" class="label label-danger" asp-validation-for="Title"></span></label>
    </div>
    <div class="col-md-8">
        <input asp-for="Title" type="text" name="Title" class="form-control full-width pull-right" id="title" placeholder="@Localizer["Title"]" required="required" />
    </div>
</div>
<div class="row form-group">
    <div class="col-md-3">
        <label for="description" class="required label-padding">@Localizer["Description"]<strong class="required">&nbsp;(@Localizer["Required"])</strong><br /><span style="font-size:100%" class="label label-danger" asp-validation-for="Description"></span></label>
    </div>
    <div class="col-md-8">
        <input asp-for="Description" type="text" name="Description" class="form-control full-width pull-right" id="description" placeholder="@Localizer["Description"]" required="required" />
        <h4 class="display-inline-block color-suggestion">@Localizer["Choose one of the suggested colors below:"]</h4>
        <div class="row">
            <label>
                <input class="radio-colour" type="radio" name="Colour" value="@colours[0]" checked> <!-- first colour is default -->
                <span class="col-md-1 circle" style="background: #@colours[0];"></span>
            </label>
            @{
                int i = 0;
                foreach (string colour in colours)
                {
                    if (i != 0) // don't display again the first colour
                    {
                        <label>
                            <input asp-for="Colour" class="radio-colour" type="radio" name="Colour" value="@colour">
                            <span class="col-md-1 circle" style="background: #@colour;"></span>
                        </label>
                    }
                    i++;
                }
            }
        </div>
    </div>
</div>